Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QInputContextFactory

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.gui.QInputContextFactory

All Implemented Interfaces:
  QtJambiInterface

    public class QInputContextFactory

extends QtJambiObject

The `QInputContextFactory` class creates `QInputContext` objects. The input context factory creates a `QInputContext` object for a given key with `QInputContextFactory::create()`.

The input contexts are either built-in or dynamically loaded from an input context plugin (see `QInputContextPlugin`).

`keys()` returns a list of valid keys. The keys are the names used, for example, to identify and specify input methods for the input method switching mechanism. The names have to be consistent with `QInputContext::identifierName()`, and may only contain ASCII characters.

A key can be used to retrieve the associated input context's supported languages using `languages()`. You can retrieve the input context's description using `description()` and finally you can get a user friendly internationalized name of the `QInputContext` object specified by the key using `displayName()`.Copyright (C) 2003-2004 immodule for Qt Project. All rights reserved.This file is written to contribute to Trolltech ASA under their own license. You may use this file under your Qt license. Following description is copied from their original file headers. Contact immodule-qt@freedesktop.org if any conditions of this licensing are not clear to you.

See also:
  `QInputContext`, and `QInputContextPlugin`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QInputContextFactory()`

Method Summary
`static QInputContext` | `create(java.lang.String key, QObject parent)` Creates and returns a `QInputContext` object for the input context specified by `key` with the given `parent`.
`static java.lang.String` | `description(java.lang.String key)` Returns an internationalized brief description of the `QInputContext` object specified by `key`.
`static java.lang.String` | `displayName(java.lang.String key)` Returns a user friendly internationalized name of the `QInputContext` object specified by `key`.
`static java.util.List` | `keys()` Returns the list of keys this factory can create input contexts for.
`static java.util.List` | `languages(java.lang.String key)` Returns the languages supported by the `QInputContext` object specified by `key`.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QInputContextFactory

    public QInputContextFactory()

Method Detail

### create

    public static QInputContext create(java.lang.String key,
                                       QObject parent)

  Creates and returns a `QInputContext` object for the input context specified by `key` with the given `parent`. Keys are case sensitive.

See also:
  `keys()`.

### description

    public static java.lang.String description(java.lang.String key)

  Returns an internationalized brief description of the `QInputContext` object specified by `key`. You can, for example, use this description in a user interface.

See also:
  `keys()`, and `displayName()`.

### displayName

    public static java.lang.String displayName(java.lang.String key)

  Returns a user friendly internationalized name of the `QInputContext` object specified by `key`. You can, for example, use this name in a menu.

See also:
  `keys()`, and `QInputContext::identifierName()`.

### keys

    public static java.util.List keys()

  Returns the list of keys this factory can create input contexts for.

  The keys are the names used, for example, to identify and specify input methods for the input method switching mechanism. The names have to be consistent with `QInputContext::identifierName()`, and may only contain ASCII characters.

See also:
  `create()`, `displayName()`, and `QInputContext::identifierName()`.

### languages

    public static java.util.List languages(java.lang.String key)

  Returns the languages supported by the `QInputContext` object specified by `key`.

  The languages are expressed as language code (e.g. "zh_CN", "zh_TW", "zh_HK", "ja", "ko", ...). An input context that supports multiple languages can return all supported languages as a QStringList. The name has to be consistent with `QInputContext::language()`.

  This information may be used to optimize a user interface.

See also:
  `keys()`, `QInputContext::language()`, and `QLocale`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD